#!/bin/bash

cd "`dirname "$0"`"

JAVA_XMX=`head -n 1 JAVA_MAX_MEM.TXT 2>/dev/null`
JAVA_XMX=`printf "%d" "$JAVA_XMX" 2>/dev/null`

if [ "$JAVA_XMX" -lt 512  ] ; then JAVA_XMX=512 ; fi
if [ "$JAVA_XMX" -gt 4096 ] ; then JAVA_XMX=4096 ; fi

CP='lib/migemo-r2h-patch.jar:lib/*:lib_swt/jface/*'

uname -a | grep x86_64 > /dev/null
if [ $? -eq 0 ] ; then
    CP=$CP:'lib_swt/linux_x86_64/*'
else
    CP=$CP:'lib_swt/linux_x86/*'
fi

java -version > /dev/null 2>&1
if [ $? != 0 ] ; then
    echo "java がインストールされていません"
    echo ""
    exit
fi

java -ea -Xmx${JAVA_XMX}m -classpath ComicViewerJ2.jar:"$CP" cvj2.Main $* > /dev/null
