#!/bin/bash

function ifErrExit {
    if [ "$?" != "0" ] ; then
        echo "エラーが発生したので中止します"
        exit 1
    fi
}
function readYn {
    read YN
    if [ "$YN" != "Y" -a "$YN" != "y" -a "$YN" != "" ] ; then
        echo "中止しました"
        exit 1
    fi
}
function catDesktopFile {
    INSTDIR="$1"
    cat <<EOF
[Desktop Entry]
Version=1.0
Name=ComicViewerJ2
Name[ja]=ComicViewerJ2
Exec=${INSTDIR}/ComicViewerJ2.sh
Icon=${INSTDIR}/ComicViewerJ2.png
Terminal=false
Type=Application
Categories=Graphics
EOF
}

CP=/bin/cp
MKDIR=/bin/mkdir
RM=/bin/rm
RMDIR=/bin/rmdir
CHMOD=/bin/chmod
LS=/bin/ls
WC=/usr/bin/wc

C=ComicViewerJ2

DEST=/usr/local/$C
MENUDIR=/usr/local/share/applications
PRIV="管理者権限"

if [ "$UID" -ne "0" ] ; then
    DEST="$HOME"/local/$C
    MENUDIR="$HOME"/.local/share/applications
    PRIV="一般ユーザー権限 ($LOGNAME)"
fi

if [ "$1" == "SET_ENV_ONLY" ] ; then
    return
fi

# ===========  ここまでは uninstall.sh と共通  =================

cd "`dirname "$0"`"

echo "============================"
echo "ComicViewerJ2 インストーラー"
echo "============================"
echo ""
echo "${C} のインストール先を指定してください。"
echo "デフォルトは [${DEST}] です。"
echo "デフォルトの場合は、Enterを入力してください "
echo -n "> "
read X_DEST
if [ "$X_DEST" != "" ] ; then
    DEST="$X_DEST"
fi

if [ -e "$DEST" ] ; then
    echo "[$DEST] は既に存在しています"
    echo -n "続行してもよろしいですか？[Y/n] > "
    readYn
fi

echo ""
echo "===== インストールの確認 ====="
echo "${C} を [$PRIV] で"
echo "[$DEST] にインストールします。"
echo "また、[$MENUDIR] に "
echo "${C} のメニューを登録します。"
echo -n "よろしいですか？ [Y/n] > "
readYn

echo ""
echo "インストール先ディレクトリを作成します・・・"
$MKDIR -p $DEST
ifErrExit

echo "インストール先ディレクトリにファイルをコピーします・・・"
$CP -a * $DEST
ifErrExit

echo "アプリケーションのメニューを登録します・・・"
$MKDIR -p $MENUDIR
ifErrExit
catDesktopFile "$DEST" > "$MENUDIR"/$C.desktop
ifErrExit
$CHMOD +x "$MENUDIR"/$C.desktop
ifErrExit

echo ""
echo "インストールが完了しました"
echo "メニューの [グラフィックス] に登録されているか確認してください"
echo "登録されていない時は、一度ログアウトしてログインしなおしてみてください"
echo ""
echo -n "何かキーを押してください "
read -n 1 XXX

