#!/bin/bash

cd "`dirname "$0"`"

function rmSubDir {
    DIR="$1"
    if [ "$($LS "$DIR" | $WC -l)" -ne 0 ] ; then
        $RM "$DIR"/*
        ifErrExit
    fi
    $RMDIR "$DIR"
    ifErrExit
}

source install.sh SET_ENV_ONLY

echo "================================"
echo "ComicViewerJ2 アンインストーラー"
echo "================================"
echo ""
echo "${C} がインストールされているディレクトリを指定してください。"
echo "デフォルトは [${DEST}] です。"
echo "デフォルトの場合は、Enterを入力してください "
echo -n "> "
read X_DEST
if [ "$X_DEST" != "" ] ; then
    DEST="$X_DEST"
fi

echo ""
echo "===== アンインストールの確認 ====="
echo "${C} を [$PRIV] で"
echo "[$DEST] を削除します。"
echo "また、登録された $C のメニューファイル"
echo "[$MENUDIR/$C.desktop] を削除します。"
echo "(削除に失敗した場合は、手動で削除してください)"
echo "※) Unity で \"ランチャーに固定\" をしている場合は、"
echo "    ${C}起動中に解除しておいてください"
echo -n "よろしいですか？ [Y/n] > "
readYn

echo ""
if [ -e "$DEST" ] ; then
    echo "[$DEST] を削除します"
    rmSubDir "$DEST"/lib
    rmSubDir "$DEST"/lib_swt/jface
    rmSubDir "$DEST"/lib_swt/linux_x86
    rmSubDir "$DEST"/lib_swt/linux_x86_64
    rmSubDir "$DEST"/lib_swt/win32
    rmSubDir "$DEST"/lib_swt/win64
    rmSubDir "$DEST"/lib_swt
    rmSubDir "$DEST"/manual
    rmSubDir "$DEST"/icons
    rmSubDir "$DEST"
else 
    echo "[$DEST] が存在しなかったので何もしませんでした。"
fi


if [ -e "$MENUDIR/$C.desktop" ] ; then
    echo "メニュー登録を解除します"
    $RM "$MENUDIR/$C.desktop"
    ifErrExit
else
    echo "メニューが登録されていなかったので何もしませんでした。"
fi

echo ""
echo "アンインストールが完了しました。"
echo ""
echo -n "何かキーを押してください "
read -n 1 XXX

